## org.eclipse.emf.importer.rose
Class RoseImporter

    java.lang.Object
      org.eclipse.emf.converter.ModelConverter
          org.eclipse.emf.importer.ModelImporter
              org.eclipse.emf.importer.rose.RoseImporter

    public class RoseImporter

extends ModelImporter

Since:
  2.1.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.importer.ModelImporter
`ModelImporter.EPackageImportInfo`

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ModelConverter
`ModelConverter.EPackageConvertInfo, ModelConverter.ReferencedEPackageFilter, ModelConverter.ReferencedGenPackageConvertInfo`

Field Summary
`protected boolean` `noQualify`
`protected java.util.Map<java.lang.String,java.lang.String>` `pathMap`
`protected java.util.Map<EPackage,java.util.List<java.lang.String>>` `roseEPackageInformationMap`
`protected RoseUtil` `roseUtil`
`protected UnitTreeNode` `unitTreeNode`
`protected boolean` `unsettablePrimitive`

Fields inherited from class org.eclipse.emf.importer.ModelImporter
`fileExtensions, GENANNOTATION_SOURCE_PREFIX, genModelContainerPath, genModelFileName, genModelPath, genModelProjectLocation, modelLocation, modelLocationURIs, modelPluginDirectory, modelPluginID, originalGenModel, originalGenModelPath, projectName, usePlatformURI, workspaceRoot`

Fields inherited from class org.eclipse.emf.converter.ModelConverter
`ePackages, ePackageToInfoMap, externalGenModelList, externalGenModelResourceSet, genModel, referencedEPackageFilter, referencedEPackageFilterToConvert, referencedGenPackages, referencedGenPackageToInfoMap`

Constructor Summary
`RoseImporter()`

Method Summary
`protected void` `adjustGenModel(Monitor monitor)`
`protected boolean` `adjustKnownPathMapSymbols(java.lang.String roseModelAbsolutePath)`
`protected boolean` `adjustPathMap(RoseUtil roseUtil)`
`void` `clearEPackagesCollections()`
`java.io.File` `computeRoseModelFile()`
`protected RoseUtil` `createRoseUtil()`
`void` `dispose()`
`protected Diagnostic` `doComputeEPackages(Monitor monitor)`
`java.lang.String` `getID()`
`java.util.Map<java.lang.String,java.lang.String>` `getPathMap()`
`protected void` `handleOriginalGenModel()` Subclasses may overwrite this method to perform actions on the reloaded genmodel.
`boolean` `hasRoseGenPackageProperties(EPackage ePackage)` Returns whether the Rose model properties includes genmodel information about a given ePackage.
`boolean` `isNoQualify()`
`boolean` `isUnsettablePrimitive()`
`Diagnostic` `loadPathMap(Monitor monitor)`
`void` `setModelLocation(java.lang.String location)`
`void` `setNoQualify(boolean noQualify)`
`void` `setUnsettablePrimitive(boolean unsettablePrimitive)`
`protected void` `traverseEPackages(UnitTreeNode subNode)`

Methods inherited from class org.eclipse.emf.importer.ModelImporter

`addGenModelToResource, addToResource, adjustEPackage, adjustEPackages, adjustGenPackageDuringTraverse, adjustUsedGenPackages, canConvert, checkEcoreModelFileName, checkGenModelFileName, computeDefaultGenModelFileName, computeEPackages, computeEPackagesBeingReloaded, computeGenModelContainerPath, computeModelProjectName, computeResourcesToBeSaved, createEPackageInfo, createExternalGenModelResourceSet, createFileURI, createProject, defineOriginalGenModelPath, getConverterGenAnnotationSource, getEcoreSaveOptions, getEPackageImportInfo, getFileExtensions, getFirstModelLocationURI, getGenModel, getGenModelContainerPath, getGenModelDefaultFolderPath, getGenModelFileName, getGenModelPath, getGenModelProjectLocation, getGenModelResourceSet, getGenPackage, getModelLocation, getModelLocationURIs, getModelPluginDirectory, getModelPluginID, getModelProjectName, getOriginalGenModel, getOriginalGenModelPath, getWorkspaceRoot, loadOriginalGenModel, makeAbsolute, makeRelative, prepareGenModelAndEPackages, presetEPackagesToGenerate, saveGenModelAndEPackages, setGenModelContainerPath, setGenModelFileName, setGenModelProjectLocation, setModelFile, setModelPluginDirectory, setModelPluginID, setModelProjectName, setUsePlatformURI, traverseGenPackages, usePlatformURI`

Methods inherited from class org.eclipse.emf.converter.ModelConverter

`clearEPackageConvertInfoCache, clearReferenceGenPackageConvertInfoCache, computeEPackagesToConvert, computeValidReferencedGenPackages, createEPackagesList, createGenPackageConvertInfo, createReferencedEPackageFilter, createReferencedEPackageFilterToConvert, createReferencedGenPackagesList, createResourceSet, filterReferencedEPackages, filterReferencedEPackagesToConvert, getEPackageConvertInfo, getEPackages, getEPackageToInfoMap, getExternalGenModels, getGenmodelSaveOptions, getGenModelSaveOptions, getReferencedGenPackages, getReferencedGenPackageToInfoMap, getReferenceGenPackageConvertInfo, getReferredEPackage, makeEPackageConvertDataUnique`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pathMap

    protected java.util.Map<java.lang.String,java.lang.String> pathMap

### noQualify

    protected boolean noQualify

### unsettablePrimitive

    protected boolean unsettablePrimitive

### roseUtil

    protected RoseUtil roseUtil

### unitTreeNode

    protected UnitTreeNode unitTreeNode

### roseEPackageInformationMap

    protected java.util.Map<EPackage,java.util.List<java.lang.String>> roseEPackageInformationMap

Constructor Detail

### RoseImporter

    public RoseImporter()

Method Detail

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `ModelImporter`

### getID

    public java.lang.String getID()

  Specified by:
    `getID` in class `ModelConverter`

### getPathMap

    public java.util.Map<java.lang.String,java.lang.String> getPathMap()

### setModelLocation

    public void setModelLocation(java.lang.String location)

  Overrides:
    `setModelLocation` in class `ModelImporter`

### isNoQualify

    public boolean isNoQualify()

### setNoQualify

    public void setNoQualify(boolean noQualify)

### isUnsettablePrimitive

    public boolean isUnsettablePrimitive()

### setUnsettablePrimitive

    public void setUnsettablePrimitive(boolean unsettablePrimitive)

### computeRoseModelFile

    public java.io.File computeRoseModelFile()

### clearEPackagesCollections

    public void clearEPackagesCollections()

  Overrides:
    `clearEPackagesCollections` in class `ModelConverter`

### loadPathMap

    public Diagnostic loadPathMap(Monitor monitor)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### adjustPathMap

    protected boolean adjustPathMap(RoseUtil roseUtil)

### adjustKnownPathMapSymbols

    protected boolean adjustKnownPathMapSymbols(java.lang.String roseModelAbsolutePath)

### hasRoseGenPackageProperties

    public boolean hasRoseGenPackageProperties(EPackage ePackage)

  Returns whether the Rose model properties includes genmodel information about a given ePackage. This method should only be used after invoking `ModelImporter.computeEPackages(Monitor)`.

  Parameters:
    `ePackage` -
  Returns:
    boolean

### doComputeEPackages

    protected Diagnostic doComputeEPackages(Monitor monitor)
                                     throws java.lang.Exception

  Overrides:
    `doComputeEPackages` in class `ModelImporter`
  Throws:
    `java.lang.Exception`

### traverseEPackages

    protected void traverseEPackages(UnitTreeNode subNode)

### adjustGenModel

    protected void adjustGenModel(Monitor monitor)

  Overrides:
    `adjustGenModel` in class `ModelImporter`

### handleOriginalGenModel

    protected void handleOriginalGenModel()
                                   throws DiagnosticException

  Description copied from class: `ModelImporter`
  Subclasses may overwrite this method to perform actions on the reloaded genmodel.

  Overrides:
    `handleOriginalGenModel` in class `ModelImporter`
  Throws:
    `DiagnosticException`

### createRoseUtil

    protected RoseUtil createRoseUtil()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.